Authentication/urls.py
from django.urls import path

from . import views


app_name = 'Authentication' #Beda

urlpatterns = [
    path('login/', views.loginPage, name='login'),
    path('sign-up/', views.signupPage, name='register'),
    path('log-out/', views.logoutUser, name='logout'),
    path('login-flutter/', views.login_with_flutter, name='login-flutter'),
    path('logout-flutter/', views.logout_with_flutter, name='logout-flutter'),
    # path('logout/', views.logoutUser, name="logout"),
    # path('', views.autentikasi, name='autentikasi'),
]

co_ass/urls.py
from django.contrib import admin
from django.urls import include, path
# import Daily_Journal.urls as Daily_Journal
# import Authentication.urls as Authentication
# import Catatan_Kesehatan.urls as Catatan_Kesehatan
# import Reminder_Aktivitas.urls as Reminder_Aktivitas
# import Reminder_Makan_Minum.urls as Reminder_Makan_Minum
# import Reminder_Obat.urls as Reminder_Obat
# import Riwayat_SWAB.urls as Riwayat_SWAB

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('daily-journal/', include('Daily_Journal.urls')),
    path('authentication/', include('Authentication.urls')),
    path('health-records/', include('Catatan_Kesehatan.urls')),
    path('your-routine/', include('Reminder_Aktivitas.urls')),
    path('food-schedule/', include('Reminder_Makan_Minum.urls')),
    path('your-medicine/', include('Reminder_Obat.urls')),
    path('swab-records/', include('Riwayat_SWAB.urls')),
    
]

main/urls.py
from django.urls import path

from main.views import home, json_funct, list_feedback, fetch_post_feedback

app_name = 'main'

urlpatterns = [
    path('', home, name='home'),
    path('feedback', list_feedback, name='feedback'),
    path('json_function', json_funct, name='json_function'),
    path('fetch_feedback', fetch_post_feedback, name='fetch_feedback'),
]

Authentication/models.py
from django.db import models

class Login(models.Model):
    #username
    username = models.CharField(max_length=30)

    #pass
    password = models.CharField(max_length=30)

    #pass valid
    passValid = models.CharField(max_length=30)

Authentication/forms.py
from django.forms import ModelForm
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms

from django import forms
from .models import Login

class LoginForm(ModelForm):
    class Meta:
        model = Login
        # fields = ['username', 'first_name', 'last_name',
        #           'email', 'password1', 'password2']
        fields = "__all__"

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username','email', 'password1', 'password2']

Authentication/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from django.forms import inlineformset_factory
from django.contrib.auth.forms import UserCreationForm
from django.contrib import messages
from django.contrib.auth import authenticate, login, logout
from django.views.decorators.csrf import csrf_exempt
from django.contrib.auth import authenticate, login as auth_login
from django.http import JsonResponse

from .models import Login
from .forms import LoginForm, CreateUserForm

# Create your views here.

from .models import *

def loginPage(request):

    if request.method == 'POST':
        username = request.POST.get('username')
        password = request.POST.get('password')

        user = authenticate(request, username=username, password=password)

        if user is not None:
            login(request, user)
            # request.session['username'] = request.user.username
            return redirect('main:home')
        else:
            messages.info(request, "Username OR password is incorrect")
    return render(request, 'login.html', {})

def logoutUser(request):
    logout(request)
    return redirect('Authentication:login')




def signupPage(request):
    form = CreateUserForm()

    if request.method == 'POST':
        form = CreateUserForm(request.POST)
        if form.is_valid():
            form.save()
            user = form.cleaned_data.get("username")
            messages.success(request, "Account was created for " + user)
            return redirect('Authentication:login')

    response = {'form': form}
    return render(request, 'register.html', response)

@csrf_exempt
def login_with_flutter(request) :
    username = request.POST.get('username')
    password = request.POST.get('password')

    user = authenticate(username = username, password = password)
    print(user)

    if user is not None:
        if user.is_active:
            auth_login(request,user)
            return JsonResponse({"status": True, "username": request.user.username, "message": "Login Berhasil!"}, status=200)
        else:
            return JsonResponse({"status": False, "message": "Gagal login, Akun tidak bisa diakses"}, status=401)
    else :
        return JsonResponse({"status": False, "message": "Gagal login, Username/Password tidak sesuai"}, status=401)

@csrf_exempt
def logout_with_flutter(request):
    try:
        logout(request)
        return JsonResponse({
                "status": True,
                "message": "Successfully Logged out!"
            }, status=200)
    except:
        return JsonResponse({
          "status": False,
          "message": "Failed to Logout"
        }, status=401)

Authentication/templates/login.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Login</title>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
{% endblock meta %}

{% block content %}

<style>
  body,
  html {
    margin: 0;
    padding: 0;
    height: 100%;
    background: #060C23 !important;
  }
  .user_card {
    width: 350px;
    margin-top: auto;
    margin-bottom: auto;
    background: #E8F7FC;
    position: relative;

    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -moz-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 5px;

  }

  .posisi {
    top : 8px;
    right : 8px;
    left : 8px;
  }

  .form_container {
    margin-top: 20px;
  }

  #form-title{
    color: #060C23;
    
  }

  .login_btn {
    width: 100%;
    background: #17C2EC !important;
    color: #060C23 !important;
  }
  .login_btn:focus {
    box-shadow: none !important;
    outline: 0px !important;
  }
  .login_container {
    padding: 0 2rem;
  }
  .input-group-text {
    background: #17C2EC!important;
    color: white !important;
    border: 0 !important;
    border-radius: 0.25rem 0 0 0.25rem !important;
  }
  .input_user,
  .input_pass:focus {
    box-shadow: none !important;
    outline: 0px !important;
  }

  #messages{
    background-color: grey;
    color: #fff;
    padding: 10px;
    margin-top: 10px;
  }
  .bodySatu{
      display: flex;
      height: 100vh;
      justify-content: center;
      align-items: center;
      padding: 50px;
      background: #060C23;
    }

</style>


<header class="header-area header-sticky wow slideInDown">
  <div class="container">
    <div class="row">
      <nav class="main-nav">
        <!-- ***** Logo Start ***** -->
        <a href="{% url 'main:home' %}" class="logo">
          <img src="{%static 'assets/images/logo.png' %}" alt="Covid Assistant">
        </a> 
        <!-- ***** Logo End ***** -->

        <!-- ***** Menu Start ***** -->
          <ul class="nav">
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Home</a></li>
            
          </ul>         
        <!-- ***** Menu End ***** -->
        
      </nav>
    </div>
  </div>
</header>

  <div class="bodySatu">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">


					<h3 id="form-title">LOGIN</h3>
				</div>
				<div class="d-flex justify-content-center form_container">
					<form method="POST" action="">
            {% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							<input type="text" name="username" placeholder="Username..." class="form-control">
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
								<input type="password" name="password" placeholder="Password..." class="form-control" >
						</div>

							<div class="d-flex justify-content-center mt-3 login_container">
				 				<input class="btn login_btn" type="submit" value="Login">
				   			</div>
					</form>

				</div>

        {% for i in messages %}
          <p id="messages">{{i}}</p>
        {% endfor %}
		
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Don't have an account? <a href="{% url 'Authentication:register' %}" class="ml-2">Sign Up</a>
					</div>
			
				</div>
			</div>
		</div>
	</div>


{% endblock content %}

Authentication/templates/register.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Sign Up</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
{% endblock meta %}

{% block content %}

<style>
  body,
  html {
    margin: 0;
    padding: 0;
    height: 100%;
    background: #060C23 !important;
  }
  .user_card {
    width: 350px;
    margin-top: auto;
    margin-bottom: auto;
    background: #E8F7FC;
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -moz-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 5px;

  }

  .form_container {
    margin-top: 20px;
  }

  #form-title{
    color: #060C23;
  }
  .login_btn {
    width: 100%;
    background: #17C2EC !important;
    color: #060C23 !important;
  }
  .login_btn:focus {
    box-shadow: none !important;
    outline: 0px !important;
  }
  .login_container {
    padding: 0 2rem;
  }
  .input-group-text {
    background: #17C2EC !important;
    color: white !important;
    border: 0 !important;
    border-radius: 0.25rem 0 0 0.25rem !important;
  }
  .input_user,
  .input_pass:focus {
    box-shadow: none !important;
    outline: 0px !important;
  }

  .bodySatu{
      display: flex;
      height: 100vh;
      justify-content: center;
      align-items: center;
      padding: 50px;
      background: #060C23;
    }

</style>


<header class="header-area header-sticky wow slideInDown">
  <div class="container">
    <div class="row">
      <nav class="main-nav">
        <!-- ***** Logo Start ***** -->
        <a href="{% url 'main:home' %}" class="logo">
          <img src="{%static 'assets/images/logo.png' %}" alt="Covid Assistant">
        </a> 
        <!-- ***** Logo End ***** -->

        <!-- ***** Menu Start ***** -->
          <ul class="nav">
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Home</a></li>
            
          </ul>         
        <!-- ***** Menu End ***** -->
        
      </nav>
    </div>
  </div>
</header>

<div class="bodySatu">
  <div class="d-flex justify-content-center h-100">
    <div class="user_card">
      <div class="d-flex justify-content-center">
        <h3 id="form-title">REGISTER ACCOUNT</h3>
      </div>
      <div class="d-flex justify-content-center form_container">

        <form method="POST" action="">
          {% csrf_token %}
          <div class="input-group mb-3">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-user"></i></span>
            </div>
            {{form.username}}
          </div>
          <div class="input-group mb-2">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
            </div>
            {{form.email}}
          </div>
          <div class="input-group mb-2">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-key"></i></span>
            </div>
            {{form.password1}}
          </div>
          <div class="input-group mb-2">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-key"></i></span>
            </div>
            {{form.password2}}
          </div>

             <div class="d-flex justify-content-center mt-3 login_container">
             <input class="btn login_btn" type="submit" value="Register Account">
             </div>
        </form>
      </div>

      {{form.errors}}
  
      <div class="mt-4">
        <div class="d-flex justify-content-center links">
          Already have an account? <a href="{% url 'Authentication:login' %}" class="ml-2">Login</a>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
          /* Because i didnt set placeholder values in forms.py they will be set here using vanilla Javascript
  //We start indexing at one because CSRF_token is considered and input field 
   */

  //Query All input fields
  var form_fields = document.getElementsByTagName('input')
  form_fields[1].placeholder='Username..';
  form_fields[2].placeholder='Email..';
  form_fields[3].placeholder='Enter password...';
  form_fields[4].placeholder='Re-enter Password...';


  for (var field in form_fields){	
    form_fields[field].className += ' form-control'
  }
</script>



{% endblock content %}